Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class XSLTemplateCompletionProcessor

    package-private class XSLTemplateCompletionProcessor
    extends TemplateCompletionProcessor

Completion processor for XML Templates. Most of the work is already done by the XML Content Assist processor, so by the time the XMLTemplateCompletionProcessor is asked for content assist proposals, the XML content assist processor has already set the context type for templates.

## Constructor Summary

`XSLTemplateCompletionProcessor()`

## Method Summary

`public ICompletionProposal[]` | `computeCompletionProposals(ITextViewer viewer , int offset)`
`protected ICompletionProposal` | `createProposal(Template template , TemplateContext context , IRegion region , int relevance)`
`protected TemplateContextType` | `getContextType(ITextViewer viewer , IRegion region)`
`protected Image` | `getImage(Template template)`
`protected Template[]` | `getTemplates(java.lang.String contextTypeId)`
`package-private void` | `setContextType(java.lang.String contextTypeId)`

## Constructor Detail

## XSLTemplateCompletionProcessor

`package-private XSLTemplateCompletionProcessor()`

## Methods Detail

## computeCompletionProposals

`public ICompletionProposal[] computeCompletionProposals(ITextViewer viewer , int offset)`

### Parameters

`viewer`

`offset`

### Returns

`ICompletionProposal[]`

## createProposal

`protected ICompletionProposal createProposal(Template template , TemplateContext context , IRegion region , int relevance)`

### Parameters

`template`

`context`

`region`

`relevance`

### Returns

`ICompletionProposal`

## getContextType

`protected TemplateContextType getContextType(ITextViewer viewer , IRegion region)`

### Parameters

`viewer`

`region`

### Returns

`TemplateContextType`

## getImage

`protected Image getImage(Template template)`

### Parameters

`template`

### Returns

`Image`

## getTemplates

`protected Template[] getTemplates(java.lang.String contextTypeId)`

### Parameters

`contextTypeId`

### Returns

`Template[]`

## setContextType

`package-private void setContextType(java.lang.String contextTypeId)`

### Parameters

`contextTypeId`